[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.IndexOf

Return the index of the data pointer

## Declaration

Source position: contnrs.pp line 242

`public function TFPHashList.IndexOf(`
`Item: Pointer`
`):Integer;`

## Arguments

`Item` |  | Data pointer to search for.

## Function result

Index of Item in the list.

## Description

IndexOf returns the index of the first occurrence of pointer Item. If the item is not in the list, -1 is returned.

The performed search is linear, and not very efficient.

## See also

TFPHashList.HashOfIndex |  | Return the hash valye of an item by index
TFPHashList.NameOfIndex |  | Returns the key name of an item by index
TFPHashList.Find |  | Find data associated with key
TFPHashList.FindIndexOf |  | Return index of named item.
TFPHashList.FindWithHash |  | Find first element with given name and hash value

Documentation generated on: Feb 26 2014